Loading...
Searching...
No Matches
juce::AndroidDocumentInfo Class Reference

## Detailed Description

Some information about a document.

Each instance represents some information about the document at the point when the instance was created.

Instance information is not updated automatically. If you think some file information may have changed, create a new instance.

The documentation for this class was generated from the following file:

- juce_core/files/juce_AndroidDocument.h

## Public Member Functions

| AndroidDocumentInfo ()=default
bool | exists () const
| True if this file really exists.
bool | isDirectory () const
| True if this is a directory rather than a file.
bool | isFile () const
| True if this is a file rather than a directory.
bool | canRead () const
| True if this process has permission to read this file.
bool | canWrite () const
| True if this is a document that can be written, or a directory that can be modified.
bool | canDelete () const
| True if this document can be removed completely from the filesystem.
bool | canCreateChildren () const
| True if this is a directory and adding child documents is supported.
bool | canRename () const
| True if this document can be renamed.
bool | canCopy () const
| True if this document can be copied.
bool | canMove () const
| True if this document can be moved.
bool | isVirtual () const
| True if this document isn't a physical file on storage.
String | getName () const
| The user-facing name.
String | getType () const
| The MIME type of this document.
int64 | getLastModified () const
| Timestamp when a document was last modified, in milliseconds since January 1, 1970 00:00:00.0 UTC.
bool | isLastModifiedValid () const
| True if the filesystem provided a modification time.
int64 | getSizeInBytes () const
| The size of the document in bytes, if known.
bool | isSizeInBytesValid () const
| True if the filesystem provided a size in bytes.

## Constructors and Destructors

## AndroidDocumentInfo()

juce::AndroidDocumentInfo::AndroidDocumentInfo | ( |  | ) |

default

## Member Functions

## exists()

bool juce::AndroidDocumentInfo::exists | ( |  | ) | const

inline

True if this file really exists.

## isDirectory()

bool juce::AndroidDocumentInfo::isDirectory | ( |  | ) | const

True if this is a directory rather than a file.

Referenced by getType(), and isFile().

## isFile()

bool juce::AndroidDocumentInfo::isFile | ( |  | ) | const

inline

True if this is a file rather than a directory.

References isDirectory().

## canRead()

bool juce::AndroidDocumentInfo::canRead | ( |  | ) | const

inline

True if this process has permission to read this file.

If this returns true, and the AndroidDocument refers to a file rather than a directory, then AndroidDocument::createInputStream should work on this document.

## canWrite()

bool juce::AndroidDocumentInfo::canWrite | ( |  | ) | const

inline

True if this is a document that can be written, or a directory that can be modified.

If this returns true, and the AndroidDocument refers to a file rather than a directory, then AndroidDocument::createOutputStream should work on this document.

## canDelete()

bool juce::AndroidDocumentInfo::canDelete | ( |  | ) | const

inline

True if this document can be removed completely from the filesystem.

## canCreateChildren()

bool juce::AndroidDocumentInfo::canCreateChildren | ( |  | ) | const

inline

True if this is a directory and adding child documents is supported.

## canRename()

bool juce::AndroidDocumentInfo::canRename | ( |  | ) | const

inline

True if this document can be renamed.

## canCopy()

bool juce::AndroidDocumentInfo::canCopy | ( |  | ) | const

inline

True if this document can be copied.

## canMove()

bool juce::AndroidDocumentInfo::canMove | ( |  | ) | const

inline

True if this document can be moved.

## isVirtual()

bool juce::AndroidDocumentInfo::isVirtual | ( |  | ) | const

inline

True if this document isn't a physical file on storage.

## getName()

String juce::AndroidDocumentInfo::getName | ( |  | ) | const

inline

The user-facing name.

This may or may not contain a file extension. For files identified by a URL, the MIME type is stored separately.

## getType()

String juce::AndroidDocumentInfo::getType | ( |  | ) | const

inline

The MIME type of this document.

References isDirectory().

## getLastModified()

int64 juce::AndroidDocumentInfo::getLastModified | ( |  | ) | const

inline

Timestamp when a document was last modified, in milliseconds since January 1, 1970 00:00:00.0 UTC.

Use isLastModifiedValid() to determine whether or not the result of this function is valid.

## isLastModifiedValid()

bool juce::AndroidDocumentInfo::isLastModifiedValid | ( |  | ) | const

inline

True if the filesystem provided a modification time.

## getSizeInBytes()

int64 juce::AndroidDocumentInfo::getSizeInBytes | ( |  | ) | const

inline

The size of the document in bytes, if known.

Use isSizeInBytesValid() to determine whether or not the result of this function is valid.

## isSizeInBytesValid()

bool juce::AndroidDocumentInfo::isSizeInBytesValid | ( |  | ) | const

inline

True if the filesystem provided a size in bytes.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited